This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1014609 - Cloning into / creating an existing repository should fail
Cloning into / creating an existing repository should fail
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium
: ER5
: 6.0.0
Assigned To: Alexandre Porcelli
Tomas David
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-02 07:43 EDT by Zuzana Krejčová
Modified: 2016-07-31 21:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:16:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zuzana Krejčová 2013-10-02 07:43:25 EDT
Description of problem:
If you create or clone a repo under a name that is already used, nothing really happens but you get a success message.


Version-Release number of selected component (if applicable):
BPMS 6.0 ER3


Steps to Reproduce:
1. Create / clone a repository, fill in name 'NAME'.
2. Make a change - e.g. add a file.
3. Create or clone another repository, but again fill in name 'NAME'.


Actual results:
'The repository is created/cloned successfully' alert. The repo contents are the same - new file is still there.


Expected results:
An alert that the user cannot create or clone an already existing repository or some request for confirmation, that the existing repo should be overwritten (and actually overwriting it then).
Comment 1 manstis 2013-10-02 09:53:14 EDT
IIRC you have a couple like this; perhaps they can all be wrapped up together (when you get time!). Thanks
Comment 2 Alexandre Porcelli 2013-10-25 13:44:15 EDT
Just tested, but seems that this issue has been fixed for a while.
Comment 3 Tomas David 2013-12-12 09:44:44 EST
Verified on BPMS 6.0.0.ER5.

Note You need to log in before you can comment on or make changes to this bug.